Instagram
  • Log in
  • Overview
  • Authentication
  • Login Permissions
  • Permissions Review
  • Sandbox Mode
  • Secure Requests
  • Endpoints
    • Users
    • Comments
  • Embedding
  • Mobile Sharing
  • Libraries
  • Support
  • Changelog
  • Platform Policy

Comment Endpoints

  • GET /media/media-id/comments Get a list of recent comments on a media object.

GET /media/media-id/comments

  • Response
https://api.instagram.com/v1/media/{media-id}/comments?access_token=ACCESS-TOKEN
{
    "data": [
        {
            "created_time": "1280780324",
            "text": "Really amazing photo!",
            "from": {
                "username": "snoopdogg",
                "profile_picture": "http://images.instagram.com/profiles/profile_16_75sq_1305612434.jpg",
                "id": "1574083",
                "full_name": "Snoop Dogg"
            },
            "id": "420"
        },
        ...
    ]
}

Get a list of recent comments on your media object.

Requirements
Scope: basic
Parameters
access_token A valid access token.
  • About us
  • Support
  • Press
  • API
  • Jobs
  • Privacy
  • Terms

© 2020 Instagram